> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/developer/integrate/openapi/folder.md).

# Folder

Folders

## Search Folders

> Returns JSON representation of the Folder tree

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"folder","description":"Folders"}],"servers":[{"url":"/api"}],"paths":{"/folders":{"get":{"tags":["folder"],"summary":"Search Folders","description":"Returns JSON representation of the Folder tree","operationId":"folderSearch","parameters":[{"name":"folderId","in":"path","description":"The ID of the Folder to return","required":true,"schema":{"type":"integer"}},{"name":"folderName","in":"query","description":"Filter by Folder name","required":false,"schema":{"type":"string"}},{"name":"exactFolderName","in":"query","description":"Filter by exact Folder name match","required":false,"schema":{"type":"integer"}},{"name":"homeFolderId","in":"query","description":"Override the home folder ID used when building the tree view","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Folder"}}}}}}}}},"components":{"schemas":{"Folder":{"description":"Class Folder","properties":{"id":{"description":"The ID of this Folder","type":"integer"},"type":{"description":"The type of folder (home or root)","type":"string"},"text":{"description":"The name of this Folder","type":"string"},"parentId":{"description":"The folderId of the parent of this Folder","type":"integer"},"isRoot":{"description":"Flag indicating whether this is root Folder","type":"integer"},"children":{"description":"An array of children folderIds","type":"string"},"createdDt":{"description":"Date this Folder was created","type":"string","nullable":true},"modifiedDt":{"description":"Date this Folder was last modified","type":"string","nullable":true}},"type":"object"}}}}
```

## Add Folder

> Add a new Folder to the specified parent Folder

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"folder","description":"Folders"}],"servers":[{"url":"/api"}],"paths":{"/folders":{"post":{"tags":["folder"],"summary":"Add Folder","description":"Add a new Folder to the specified parent Folder","operationId":"folderAdd","requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"required":["text"],"properties":{"text":{"description":"Folder Name","type":"string"},"parentId":{"description":"The ID of the parent Folder, if not provided, Folder will be added under Root Folder","type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Folder"}}}}}}}},"components":{"schemas":{"Folder":{"description":"Class Folder","properties":{"id":{"description":"The ID of this Folder","type":"integer"},"type":{"description":"The type of folder (home or root)","type":"string"},"text":{"description":"The name of this Folder","type":"string"},"parentId":{"description":"The folderId of the parent of this Folder","type":"integer"},"isRoot":{"description":"Flag indicating whether this is root Folder","type":"integer"},"children":{"description":"An array of children folderIds","type":"string"},"createdDt":{"description":"Date this Folder was created","type":"string","nullable":true},"modifiedDt":{"description":"Date this Folder was last modified","type":"string","nullable":true}},"type":"object"}}}}
```

## Get Folder

> Returns a single decorated Folder including sharing, usage and buttons

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"folder","description":"Folders"}],"servers":[{"url":"/api"}],"paths":{"/folders/{folderId}":{"get":{"tags":["folder"],"summary":"Get Folder","description":"Returns a single decorated Folder including sharing, usage and buttons","operationId":"folderSearchById","parameters":[{"name":"folderId","in":"path","description":"The ID of the Folder to return","required":true,"schema":{"type":"integer"}},{"name":"folderName","in":"query","description":"Filter by Folder name","required":false,"schema":{"type":"string"}},{"name":"exactFolderName","in":"query","description":"Filter by exact Folder name match","required":false,"schema":{"type":"integer"}},{"name":"homeFolderId","in":"query","description":"Override the home folder ID used when building the tree view","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Folder"}}}}}}}}},"components":{"schemas":{"Folder":{"description":"Class Folder","properties":{"id":{"description":"The ID of this Folder","type":"integer"},"type":{"description":"The type of folder (home or root)","type":"string"},"text":{"description":"The name of this Folder","type":"string"},"parentId":{"description":"The folderId of the parent of this Folder","type":"integer"},"isRoot":{"description":"Flag indicating whether this is root Folder","type":"integer"},"children":{"description":"An array of children folderIds","type":"string"},"createdDt":{"description":"Date this Folder was created","type":"string","nullable":true},"modifiedDt":{"description":"Date this Folder was last modified","type":"string","nullable":true}},"type":"object"}}}}
```

## Edit Folder

> Edit existing Folder

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"folder","description":"Folders"}],"servers":[{"url":"/api"}],"paths":{"/folders/{folderId}":{"put":{"tags":["folder"],"summary":"Edit Folder","description":"Edit existing Folder","operationId":"folderEdit","parameters":[{"name":"folderId","in":"path","description":"Folder ID to edit","required":true,"schema":{"type":"integer"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"required":["text"],"properties":{"text":{"description":"Folder Name","type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Folder"}}}}}}}},"components":{"schemas":{"Folder":{"description":"Class Folder","properties":{"id":{"description":"The ID of this Folder","type":"integer"},"type":{"description":"The type of folder (home or root)","type":"string"},"text":{"description":"The name of this Folder","type":"string"},"parentId":{"description":"The folderId of the parent of this Folder","type":"integer"},"isRoot":{"description":"Flag indicating whether this is root Folder","type":"integer"},"children":{"description":"An array of children folderIds","type":"string"},"createdDt":{"description":"Date this Folder was created","type":"string","nullable":true},"modifiedDt":{"description":"Date this Folder was last modified","type":"string","nullable":true}},"type":"object"}}}}
```

## Delete Folder

> Delete existing Folder

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"folder","description":"Folders"}],"servers":[{"url":"/api"}],"paths":{"/folders/{folderId}":{"delete":{"tags":["folder"],"summary":"Delete Folder","description":"Delete existing Folder","operationId":"folderDelete","parameters":[{"name":"folderId","in":"path","description":"Folder ID to delete","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/developer/integrate/openapi/folder.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
